# Source: gmp.js

    /**
     * Created by zhangmike on 16/10/14.
     */
    import initMixin from './internal/init';
    import initEvents from './internal/events';
    import initState from './internal/state';
    import initEventBus from './events/eventbus';
    import gmpx from './data/data';
    if ($) {
        GMP.$ = $;
    };
    /**
     * The exposed GMP constructor.
     *
     * @author zeromike
       @classdesc  aaa
     * @constructor
     * @param {Object} [options]
     * @public
     * @example
     * new GMP({
     *  data: '123',
     *  methods: {
     *      login: function () {
     *
     *      }
     *  }
     * })
     */
    function GMP(options) {
        this._init(options);
    }
    // 初始化属性
    initMixin(GMP);
    //初始化事件
    initEvents(GMP);
    //初始化数据
    initState(GMP);
    //初始化事件BUS
    initEventBus(GMP);

    GMP.GMPX = gmpx;

    export default GMP;